local original = CopBrain.on_pickpocket_interaction

function CopBrain:on_pickpocket_interaction(player)
	-- Original checks
	if not alive(player) or self._unit:character_damage():dead() or not self._unit:movement():cool() then
		return
	end

	local has_upgrade = nil

	if player:base().is_local_player then
		has_upgrade = managers.player:has_category_upgrade("interaction", "pickpocket_greed_steal")
	else
		has_upgrade = player:base():upgrade_value("interaction", "pickpocket_greed_steal")
	end

	if has_upgrade then
		-- If unit has some dedicated pickup
        if self._unit:character_damage():pickup() then
			-- set them to pickpocket-ed so we can't loot them again
		    self._pickpocketed = true
			-- drop the pickup
            local dropped_unit = self._unit:character_damage():drop_pickup()
			if dropped_unit then
				-- Removing pickup from character so they don't drop second one on kill
				self._unit:character_damage()._pickup = nil
				-- Picking up the pickup
				dropped_unit:interaction():interact(managers.player:player_unit())
            	return nil
			end
        else
            return original(self, player)
        end
	end
end
